﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.Model.Enums
{
    public enum BatchStep:int
    {
        /// <summary>
        /// 等待配料
        /// </summary>
        WaitBatch=0,
        /// <summary>
        /// 写入配料参数。
        /// </summary>
        WriteBatchParam=100,
        /// <summary>
        /// 开始配料。
        /// </summary>
        StartBatch=200,
        /// <summary>
        /// 等待配料完成。
        /// </summary>
        WaitBatchComplete=300,
        /// <summary>
        /// 配料完成。
        /// </summary>
        BatchCompleted=400
    }
}
