﻿using BPA.Helper;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.Model
{
    public class LogBase:NotifyBase
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true,IsIdentity =true)]//设置主键
        public int ID { get { return _Id; } set { _Id = value; OnPropertyChanged(); } }
        private int _Id;

        /// <summary>
        /// 日期
        /// </summary>
        public string Date { get { return _mDate; } set { _mDate = value; OnPropertyChanged(); } }
        private string _mDate;

        /// <summary>
        /// 时间
        /// </summary>
        public string Time { get { return _mTime; } set { _mTime = value; OnPropertyChanged(); } }
        private string _mTime;

    }
}
