﻿using BPA.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.Model
{
    public class NewRecipeModel : NotifyBase
    {

        public string Id { get { return _mId; } set { _mId = value; OnPropertyChanged(); } }
        private string _mId;

        public string Name { get { return _mName; } set { _mName = value; OnPropertyChanged(); } }
        private string _mName;

        /// <summary>
        /// 原料需求量
        /// </summary>
        public ushort Weight { get { return _mWeight; } set { _mWeight = value; OnPropertyChanged(); } }
        private ushort _mWeight;

        public bool IsChecked { get { return _mIsChecked; } set { _mIsChecked = value; OnPropertyChanged(); } }
        private bool _mIsChecked;

    }
}
