﻿using BPA.Model.Recipe;

namespace BPA.SingleDevice.Interface
{
    public interface IProcessControl
    {
        /// <summary>初始化即开始。</summary>
        Task InitalAsync();

        ObservableCollection<RecipeData> CurrentRecipes { get; set; }

        //ConcurrentBag<RecipeData> CurrentRecipes { get; set; }
        IConveyer Conveyer { get; set; }

        ConcurrentDictionary<int, IBatchcer> Batchers { get; set; }
    }
}