﻿using BPA.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.Model
{
    public class RecipeModel : NotifyBase
    {
        /// <summary>
        /// 配方名称
        /// </summary>
        public string Name { get { return _mName; } set { _mName = value; OnPropertyChanged(); } }
        private string _mName;

        /// <summary>
        /// 配方ID
        /// </summary>
        public string Id { get { return _mId; } set { _mId = value; OnPropertyChanged(); } }
        private string _mId;

        /// <summary>
        /// 商品数量
        /// </summary>
        public ushort Count { get { return _mCount; } set { _mCount = value; OnPropertyChanged(); } }
        private ushort _mCount;


    }
}
