﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.Model.Table
{
    /// <summary>
    /// 配方数据表
    /// </summary>
    public class RecipeRawMaterTB : SqlBase
    {
        /// <summary>
        /// 配方ID
        /// </summary>
        public string RecipeId { get; set; }

        /// <summary>
        /// 原料ID,后被修改为对应物料编码。
        /// </summary>
        public string RawMaterId { get; set; }

        /// <summary>
        /// 需求重量
        /// </summary>
        public ushort Weight { get; set; }
    }
}
