﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BPA.UIControl
{
    /// <summary>
    /// 图标类型
    /// </summary>
    public enum IconType
    {
#pragma warning disable CS1591 // 缺少对公共可见类型或成员的 XML 注释
        ArrowDownCircleFill,
        ArrowDownCircleLine,
        ArrowDownDoubleFill,
        ArrowDownDoubleLine,
        ArrowDownFill,
        ArrowDownLine,
        ArrowDownSFill,
        ArrowDownSLine,
        ArrowDropDownFill,
        ArrowDropDownLine,
        ArrowDropLeftFill,
        ArrowDropLeftLine,
        ArrowDropRightFill,
        ArrowDropRightLine,
        ArrowDropUpFill,
        ArrowDropUpLine,
        ArrowGoBackFill,
        ArrowGoBackLine,
        ArrowGoForwardFill,
        ArrowGoForwardLine,
        ArrowLeftCircleFill,
        ArrowLeftCircleLine,
        ArrowLeftDoubleFill,
        ArrowLeftDoubleLine,
        ArrowLeftDownFill,
        ArrowLeftDownLine,
        ArrowLeftFill,
        ArrowLeftLine,
        ArrowLeftRightFill,
        ArrowLeftRightLine,
        ArrowLeftSFill,
        ArrowLeftSLine,
        ArrowLeftUpFill,
        ArrowLeftUpLine,
        ArrowRightCircleFill,
        ArrowRightCircleLine,
        ArrowRightDoubleFill,
        ArrowRightDoubleLine,
        ArrowRightDownFill,
        ArrowRightDownLine,
        ArrowRightFill,
        ArrowRightLine,
        ArrowRightSFill,
        ArrowRightSLine,
        ArrowRightUpFill,
        ArrowRightUpLine,
        ArrowTurnBackFill,
        ArrowTurnBackLine,
        ArrowTurnForwardFill,
        ArrowTurnForwardLine,
        ArrowUpCircleFill,
        ArrowUpCircleLine,
        ArrowUpDoubleFill,
        ArrowUpDoubleLine,
        ArrowUpDownFill,
        ArrowUpDownLine,
        ArrowUpFill,
        ArrowUpLine,
        ArrowUpSFill,
        ArrowUpSLine,
        ContractLeftFill,
        ContractLeftLine,
        ContractLeftRightFill,
        ContractLeftRightLine,
        ContractRightFill,
        ContractRightLine,
        ContractUpDownFill,
        ContractUpDownLine,
        CornerDownLeftFill,
        CornerDownLeftLine,
        CornerDownRightFill,
        CornerDownRightLine,
        CornerLeftDownFill,
        CornerLeftDownLine,
        CornerLeftUpFill,
        CornerLeftUpLine,
        CornerRightDownFill,
        CornerRightDownLine,
        CornerRightUpFill,
        CornerRightUpLine,
        CornerUpLeftDoubleFill,
        CornerUpLeftDoubleLine,
        CornerUpLeftFill,
        CornerUpLeftLine,
        CornerUpRightDoubleFill,
        CornerUpRightDoubleLine,
        CornerUpRightFill,
        CornerUpRightLine,
        DragMove2Fill,
        DragMove2Line,
        DragMoveFill,
        DragMoveLine,
        ExpandLeftFill,
        ExpandLeftLine,
        ExpandLeftRightFill,
        ExpandLeftRightLine,
        ExpandRightFill,
        ExpandRightLine,
        ExpandUpDownFill,
        ExpandUpDownLine,
        SkipDownFill,
        SkipDownLine,
        SkipLeftFill,
        SkipLeftLine,
        SkipRightFill,
        SkipRightLine,
        SkipUpFill,
        SkipUpLine,
        AncientGateFill,
        AncientGateLine,
        AncientPavilionFill,
        AncientPavilionLine,
        BankFill,
        BankLine,
        Building2Fill,
        Building2Line,
        Building3Fill,
        Building3Line,
        Building4Fill,
        Building4Line,
        BuildingFill,
        BuildingLine,
        CommunityFill,
        CommunityLine,
        GovernmentFill,
        GovernmentLine,
        Home2Fill,
        Home2Line,
        Home3Fill,
        Home3Line,
        Home4Fill,
        Home4Line,
        Home5Fill,
        Home5Line,
        Home6Fill,
        Home6Line,
        Home7Fill,
        Home7Line,
        Home8Fill,
        Home8Line,
        HomeFill,
        HomeGearFill,
        HomeGearLine,
        HomeHeartFill,
        HomeHeartLine,
        HomeLine,
        HomeOfficeFill,
        HomeOfficeLine,
        HomeSmile2Fill,
        HomeSmile2Line,
        HomeSmileFill,
        HomeSmileLine,
        HomeWifiFill,
        HomeWifiLine,
        HospitalFill,
        HospitalLine,
        HotelFill,
        HotelLine,
        SchoolFill,
        SchoolLine,
        Store2Fill,
        Store2Line,
        Store3Fill,
        Store3Line,
        StoreFill,
        StoreLine,
        TentFill,
        TentLine,
        AdvertisementFill,
        AdvertisementLine,
        Archive2Fill,
        Archive2Line,
        ArchiveDrawerFill,
        ArchiveDrawerLine,
        ArchiveFill,
        ArchiveLine,
        AtFill,
        AtLine,
        AttachmentFill,
        AttachmentLine,
        AwardFill,
        AwardLine,
        BarChart2Fill,
        BarChart2Line,
        BarChartBoxFill,
        BarChartBoxLine,
        BarChartFill,
        BarChartGroupedFill,
        BarChartGroupedLine,
        BarChartHorizontalFill,
        BarChartHorizontalLine,
        BarChartLine,
        Bookmark2Fill,
        Bookmark2Line,
        Bookmark3Fill,
        Bookmark3Line,
        BookmarkFill,
        BookmarkLine,
        Briefcase2Fill,
        Briefcase2Line,
        Briefcase3Fill,
        Briefcase3Line,
        Briefcase4Fill,
        Briefcase4Line,
        Briefcase5Fill,
        Briefcase5Line,
        BriefcaseFill,
        BriefcaseLine,
        BubbleChartFill,
        BubbleChartLine,
        CalculatorFill,
        CalculatorLine,
        Calendar2Fill,
        Calendar2Line,
        CalendarCheckFill,
        CalendarCheckLine,
        CalendarCloseFill,
        CalendarCloseLine,
        CalendarEventFill,
        CalendarEventLine,
        CalendarFill,
        CalendarLine,
        CalendarTodoFill,
        CalendarTodoLine,
        CloudFill,
        CloudLine,
        CloudOffFill,
        CloudOffLine,
        CopyleftFill,
        CopyleftLine,
        CopyrightFill,
        CopyrightLine,
        CreativeCommonsByFill,
        CreativeCommonsByLine,
        CreativeCommonsFill,
        CreativeCommonsLine,
        CreativeCommonsNcFill,
        CreativeCommonsNcLine,
        CreativeCommonsNdFill,
        CreativeCommonsNdLine,
        CreativeCommonsSaFill,
        CreativeCommonsSaLine,
        CreativeCommonsZeroFill,
        CreativeCommonsZeroLine,
        CustomerService2Fill,
        CustomerService2Line,
        CustomerServiceFill,
        CustomerServiceLine,
        DonutChartFill,
        DonutChartLine,
        Flag2Fill,
        Flag2Line,
        FlagFill,
        FlagLine,
        GlobalFill,
        GlobalLine,
        HonourFill,
        HonourLine,
        Inbox2Fill,
        Inbox2Line,
        InboxArchiveFill,
        InboxArchiveLine,
        InboxFill,
        InboxLine,
        InboxUnarchiveFill,
        InboxUnarchiveLine,
        LineChartFill,
        LineChartLine,
        LinksFill,
        LinksLine,
        MailAddFill,
        MailAddLine,
        MailCheckFill,
        MailCheckLine,
        MailCloseFill,
        MailCloseLine,
        MailDownloadFill,
        MailDownloadLine,
        MailFill,
        MailForbidFill,
        MailForbidLine,
        MailLine,
        MailLockFill,
        MailLockLine,
        MailOpenFill,
        MailOpenLine,
        MailSendFill,
        MailSendLine,
        MailSettingsFill,
        MailSettingsLine,
        MailStarFill,
        MailStarLine,
        MailUnreadFill,
        MailUnreadLine,
        MailVolumeFill,
        MailVolumeLine,
        Medal2Fill,
        Medal2Line,
        MedalFill,
        MedalLine,
        MegaphoneFill,
        MegaphoneLine,
        PassExpiredFill,
        PassExpiredLine,
        PassPendingFill,
        PassPendingLine,
        PassValidFill,
        PassValidLine,
        PieChart2Fill,
        PieChart2Line,
        PieChartBoxFill,
        PieChartBoxLine,
        PieChartFill,
        PieChartLine,
        PresentationFill,
        PresentationLine,
        PrinterCloudFill,
        PrinterCloudLine,
        PrinterFill,
        PrinterLine,
        ProfileFill,
        ProfileLine,
        Projector2Fill,
        Projector2Line,
        ProjectorFill,
        ProjectorLine,
        RecordMailFill,
        RecordMailLine,
        RegisteredFill,
        RegisteredLine,
        ReplyAllFill,
        ReplyAllLine,
        ReplyFill,
        ReplyLine,
        SendPlane2Fill,
        SendPlane2Line,
        SendPlaneFill,
        SendPlaneLine,
        SeoFill,
        SeoLine,
        ServiceFill,
        ServiceLine,
        ShakeHandsFill,
        ShakeHandsLine,
        Slideshow2Fill,
        Slideshow2Line,
        Slideshow3Fill,
        Slideshow3Line,
        Slideshow4Fill,
        Slideshow4Line,
        SlideshowFill,
        SlideshowLine,
        StackFill,
        StackLine,
        TrademarkFill,
        TrademarkLine,
        VerifiedBadgeFill,
        VerifiedBadgeLine,
        Window2Fill,
        Window2Line,
        WindowFill,
        WindowLine,
        Chat1Fill,
        Chat1Line,
        Chat2Fill,
        Chat2Line,
        Chat3Fill,
        Chat3Line,
        Chat4Fill,
        Chat4Line,
        ChatCheckFill,
        ChatCheckLine,
        ChatDeleteFill,
        ChatDeleteLine,
        ChatDownloadFill,
        ChatDownloadLine,
        ChatFollowUpFill,
        ChatFollowUpLine,
        ChatForwardFill,
        ChatForwardLine,
        ChatHeartFill,
        ChatHeartLine,
        ChatHistoryFill,
        ChatHistoryLine,
        ChatNewFill,
        ChatNewLine,
        ChatOffFill,
        ChatOffLine,
        ChatPollFill,
        ChatPollLine,
        ChatPrivateFill,
        ChatPrivateLine,
        ChatQuoteFill,
        ChatQuoteLine,
        ChatSettingsFill,
        ChatSettingsLine,
        ChatSmile2Fill,
        ChatSmile2Line,
        ChatSmile3Fill,
        ChatSmile3Line,
        ChatSmileFill,
        ChatSmileLine,
        ChatUploadFill,
        ChatUploadLine,
        ChatVoiceFill,
        ChatVoiceLine,
        DiscussFill,
        DiscussLine,
        EmojiStickerFill,
        EmojiStickerLine,
        FeedbackFill,
        FeedbackLine,
        Message2Fill,
        Message2Line,
        Message3Fill,
        Message3Line,
        MessageFill,
        MessageLine,
        QuestionAnswerFill,
        QuestionAnswerLine,
        QuestionnaireFill,
        QuestionnaireLine,
        SpeakFill,
        SpeakLine,
        VideoChatFill,
        VideoChatLine,
        Anticlockwise2Fill,
        Anticlockwise2Line,
        AnticlockwiseFill,
        AnticlockwiseLine,
        Artboard2Fill,
        Artboard2Line,
        ArtboardFill,
        ArtboardLine,
        BallPenFill,
        BallPenLine,
        BlurOffFill,
        BlurOffLine,
        Brush2Fill,
        Brush2Line,
        Brush3Fill,
        Brush3Line,
        Brush4Fill,
        Brush4Line,
        BrushFill,
        BrushLine,
        CircleFill,
        CircleLine,
        Clockwise2Fill,
        Clockwise2Line,
        ClockwiseFill,
        ClockwiseLine,
        CollageFill,
        CollageLine,
        Compasses2Fill,
        Compasses2Line,
        CompassesFill,
        CompassesLine,
        Contrast2Fill,
        Contrast2Line,
        ContrastDrop2Fill,
        ContrastDrop2Line,
        ContrastDropFill,
        ContrastDropLine,
        ContrastFill,
        ContrastLine,
        Crop2Fill,
        Crop2Line,
        CropFill,
        CropLine,
        Crosshair2Fill,
        Crosshair2Line,
        CrosshairFill,
        CrosshairLine,
        DragDropFill,
        DragDropLine,
        DropFill,
        DropLine,
        Edit2Fill,
        Edit2Line,
        EditBoxFill,
        EditBoxLine,
        EditCircleFill,
        EditCircleLine,
        EditFill,
        EditLine,
        EraserFill,
        EraserLine,
        Focus2Fill,
        Focus2Line,
        Focus3Fill,
        Focus3Line,
        FocusFill,
        FocusLine,
        GridFill,
        GridLine,
        HammerFill,
        HammerLine,
        HexagonFill,
        HexagonLine,
        InkBottleFill,
        InkBottleLine,
        InputMethodFill,
        InputMethodLine,
        Layout2Fill,
        Layout2Line,
        Layout3Fill,
        Layout3Line,
        Layout4Fill,
        Layout4Line,
        Layout5Fill,
        Layout5Line,
        Layout6Fill,
        Layout6Line,
        LayoutBottom2Fill,
        LayoutBottom2Line,
        LayoutBottomFill,
        LayoutBottomLine,
        LayoutColumnFill,
        LayoutColumnLine,
        LayoutFill,
        LayoutGridFill,
        LayoutGridLine,
        LayoutLeft2Fill,
        LayoutLeft2Line,
        LayoutLeftFill,
        LayoutLeftLine,
        LayoutLine,
        LayoutMasonryFill,
        LayoutMasonryLine,
        LayoutRight2Fill,
        LayoutRight2Line,
        LayoutRightFill,
        LayoutRightLine,
        LayoutRowFill,
        LayoutRowLine,
        LayoutTop2Fill,
        LayoutTop2Line,
        LayoutTopFill,
        LayoutTopLine,
        MagicFill,
        MagicLine,
        MarkPenFill,
        MarkPenLine,
        MarkupFill,
        MarkupLine,
        OctagonFill,
        OctagonLine,
        PaintBrushFill,
        PaintBrushLine,
        PaintFill,
        PaintLine,
        PaletteFill,
        PaletteLine,
        PantoneFill,
        PantoneLine,
        PenNibFill,
        PenNibLine,
        PencilFill,
        PencilLine,
        PencilRuler2Fill,
        PencilRuler2Line,
        PencilRulerFill,
        PencilRulerLine,
        PentagonFill,
        PentagonLine,
        QuillPenFill,
        QuillPenLine,
        RectangleFill,
        RectangleLine,
        Ruler2Fill,
        Ruler2Line,
        RulerFill,
        RulerLine,
        Scissors2Fill,
        Scissors2Line,
        ScissorsCutFill,
        ScissorsCutLine,
        ScissorsFill,
        ScissorsLine,
        Screenshot2Fill,
        Screenshot2Line,
        ScreenshotFill,
        ScreenshotLine,
        Shape2Fill,
        Shape2Line,
        ShapeFill,
        ShapeLine,
        ShapesFill,
        ShapesLine,
        SipFill,
        SipLine,
        SliceFill,
        SliceLine,
        SquareFill,
        SquareLine,
        TBoxFill,
        TBoxLine,
        TableAltFill,
        TableAltLine,
        TableFill,
        TableLine,
        ToolsFill,
        ToolsLine,
        TriangleFill,
        TriangleLine,
        BracesFill,
        BracesLine,
        BracketsFill,
        BracketsLine,
        Bug2Fill,
        Bug2Line,
        BugFill,
        BugLine,
        CodeBoxFill,
        CodeBoxLine,
        CodeFill,
        CodeLine,
        CodeSFill,
        CodeSLine,
        CodeSSlashFill,
        CodeSSlashLine,
        CommandFill,
        CommandLine,
        Css3Fill,
        Css3Line,
        CursorFill,
        CursorLine,
        GitBranchFill,
        GitBranchLine,
        GitClosePullRequestFill,
        GitClosePullRequestLine,
        GitCommitFill,
        GitCommitLine,
        GitMergeFill,
        GitMergeLine,
        GitPullRequestFill,
        GitPullRequestLine,
        GitRepositoryCommitsFill,
        GitRepositoryCommitsLine,
        GitRepositoryFill,
        GitRepositoryLine,
        GitRepositoryPrivateFill,
        GitRepositoryPrivateLine,
        Html5Fill,
        Html5Line,
        JavascriptFill,
        JavascriptLine,
        ParenthesesFill,
        ParenthesesLine,
        TerminalBoxFill,
        TerminalBoxLine,
        TerminalFill,
        TerminalLine,
        TerminalWindowFill,
        TerminalWindowLine,
        AirplayFill,
        AirplayLine,
        BarcodeBoxFill,
        BarcodeBoxLine,
        BarcodeFill,
        BarcodeLine,
        BaseStationFill,
        BaseStationLine,
        Battery2ChargeFill,
        Battery2ChargeLine,
        Battery2Fill,
        Battery2Line,
        BatteryChargeFill,
        BatteryChargeLine,
        BatteryFill,
        BatteryLine,
        BatteryLowFill,
        BatteryLowLine,
        BatterySaverFill,
        BatterySaverLine,
        BatteryShareFill,
        BatteryShareLine,
        BluetoothConnectFill,
        BluetoothConnectLine,
        BluetoothFill,
        BluetoothLine,
        CastFill,
        CastLine,
        CellphoneFill,
        CellphoneLine,
        ComputerFill,
        ComputerLine,
        CpuFill,
        CpuLine,
        Dashboard2Fill,
        Dashboard2Line,
        Dashboard3Fill,
        Dashboard3Line,
        Database2Fill,
        Database2Line,
        DatabaseFill,
        DatabaseLine,
        DeviceFill,
        DeviceLine,
        DeviceRecoverFill,
        DeviceRecoverLine,
        DualSim1Fill,
        DualSim1Line,
        DualSim2Fill,
        DualSim2Line,
        Fingerprint2Fill,
        Fingerprint2Line,
        FingerprintFill,
        FingerprintLine,
        GamepadFill,
        GamepadLine,
        GpsFill,
        GpsLine,
        GradienterFill,
        GradienterLine,
        HardDrive2Fill,
        HardDrive2Line,
        HardDrive3Fill,
        HardDrive3Line,
        HardDriveFill,
        HardDriveLine,
        HotspotFill,
        HotspotLine,
        InstallFill,
        InstallLine,
        InstanceFill,
        InstanceLine,
        KeyboardBoxFill,
        KeyboardBoxLine,
        KeyboardFill,
        KeyboardLine,
        MacFill,
        MacLine,
        MacbookFill,
        MacbookLine,
        MouseFill,
        MouseLine,
        PhoneFill,
        PhoneFindFill,
        PhoneFindLine,
        PhoneLine,
        PhoneLockFill,
        PhoneLockLine,
        QrCodeFill,
        QrCodeLine,
        QrScan2Fill,
        QrScan2Line,
        QrScanFill,
        QrScanLine,
        RadarFill,
        RadarLine,
        RemoteControl2Fill,
        RemoteControl2Line,
        RemoteControlFill,
        RemoteControlLine,
        RestartFill,
        RestartLine,
        RfidFill,
        RfidLine,
        RotateLockFill,
        RotateLockLine,
        RouterFill,
        RouterLine,
        RssFill,
        RssLine,
        Save2Fill,
        Save2Line,
        Save3Fill,
        Save3Line,
        SaveFill,
        SaveLine,
        Scan2Fill,
        Scan2Line,
        ScanFill,
        ScanLine,
        SdCardFill,
        SdCardLine,
        SdCardMiniFill,
        SdCardMiniLine,
        SensorFill,
        SensorLine,
        ServerFill,
        ServerLine,
        ShutDownFill,
        ShutDownLine,
        SignalWifi1Fill,
        SignalWifi1Line,
        SignalWifi2Fill,
        SignalWifi2Line,
        SignalWifi3Fill,
        SignalWifi3Line,
        SignalWifiErrorFill,
        SignalWifiErrorLine,
        SignalWifiFill,
        SignalWifiLine,
        SignalWifiOffFill,
        SignalWifiOffLine,
        SimCard2Fill,
        SimCard2Line,
        SimCardFill,
        SimCardLine,
        SmartphoneFill,
        SmartphoneLine,
        TabletFill,
        TabletLine,
        Tv2Fill,
        Tv2Line,
        TvFill,
        TvLine,
        UDiskFill,
        UDiskLine,
        UninstallFill,
        UninstallLine,
        UsbFill,
        UsbLine,
        WifiFill,
        WifiLine,
        WifiOffFill,
        WifiOffLine,
        WirelessChargingFill,
        WirelessChargingLine,
        ArticleFill,
        ArticleLine,
        BillFill,
        BillLine,
        Book2Fill,
        Book2Line,
        Book3Fill,
        Book3Line,
        BookFill,
        BookLine,
        BookMarkFill,
        BookMarkLine,
        BookOpenFill,
        BookOpenLine,
        BookReadFill,
        BookReadLine,
        BookletFill,
        BookletLine,
        ClipboardFill,
        ClipboardLine,
        ContactsBook2Fill,
        ContactsBook2Line,
        ContactsBookFill,
        ContactsBookLine,
        ContactsBookUploadFill,
        ContactsBookUploadLine,
        DraftFill,
        DraftLine,
        File2Fill,
        File2Line,
        File3Fill,
        File3Line,
        File4Fill,
        File4Line,
        FileAddFill,
        FileAddLine,
        FileChart2Fill,
        FileChart2Line,
        FileChartFill,
        FileChartLine,
        FileCloseFill,
        FileCloseLine,
        FileCloudFill,
        FileCloudLine,
        FileCodeFill,
        FileCodeLine,
        FileCopy2Fill,
        FileCopy2Line,
        FileCopyFill,
        FileCopyLine,
        FileDamageFill,
        FileDamageLine,
        FileDownloadFill,
        FileDownloadLine,
        FileEditFill,
        FileEditLine,
        FileExcel2Fill,
        FileExcel2Line,
        FileExcelFill,
        FileExcelLine,
        FileFill,
        FileForbidFill,
        FileForbidLine,
        FileGifFill,
        FileGifLine,
        FileHistoryFill,
        FileHistoryLine,
        FileHwpFill,
        FileHwpLine,
        FileImageFill,
        FileImageLine,
        FileInfoFill,
        FileInfoLine,
        FileLine,
        FileList2Fill,
        FileList2Line,
        FileList3Fill,
        FileList3Line,
        FileListFill,
        FileListLine,
        FileLockFill,
        FileLockLine,
        FileMarkFill,
        FileMarkLine,
        FileMusicFill,
        FileMusicLine,
        FilePaper2Fill,
        FilePaper2Line,
        FilePaperFill,
        FilePaperLine,
        FilePdf2Fill,
        FilePdf2Line,
        FilePdfFill,
        FilePdfLine,
        FilePpt2Fill,
        FilePpt2Line,
        FilePptFill,
        FilePptLine,
        FileReduceFill,
        FileReduceLine,
        FileSearchFill,
        FileSearchLine,
        FileSettingsFill,
        FileSettingsLine,
        FileShield2Fill,
        FileShield2Line,
        FileShieldFill,
        FileShieldLine,
        FileShredFill,
        FileShredLine,
        FileTextFill,
        FileTextLine,
        FileTransferFill,
        FileTransferLine,
        FileUnknowFill,
        FileUnknowLine,
        FileUploadFill,
        FileUploadLine,
        FileUserFill,
        FileUserLine,
        FileVideoFill,
        FileVideoLine,
        FileWarningFill,
        FileWarningLine,
        FileWord2Fill,
        FileWord2Line,
        FileWordFill,
        FileWordLine,
        FileZipFill,
        FileZipLine,
        Folder2Fill,
        Folder2Line,
        Folder3Fill,
        Folder3Line,
        Folder4Fill,
        Folder4Line,
        Folder5Fill,
        Folder5Line,
        FolderAddFill,
        FolderAddLine,
        FolderChart2Fill,
        FolderChart2Line,
        FolderChartFill,
        FolderChartLine,
        FolderDownloadFill,
        FolderDownloadLine,
        FolderFill,
        FolderForbidFill,
        FolderForbidLine,
        FolderHistoryFill,
        FolderHistoryLine,
        FolderImageFill,
        FolderImageLine,
        FolderInfoFill,
        FolderInfoLine,
        FolderKeyholeFill,
        FolderKeyholeLine,
        FolderLine,
        FolderLockFill,
        FolderLockLine,
        FolderMusicFill,
        FolderMusicLine,
        FolderOpenFill,
        FolderOpenLine,
        FolderReceivedFill,
        FolderReceivedLine,
        FolderReduceFill,
        FolderReduceLine,
        FolderSettingsFill,
        FolderSettingsLine,
        FolderSharedFill,
        FolderSharedLine,
        FolderShield2Fill,
        FolderShield2Line,
        FolderShieldFill,
        FolderShieldLine,
        FolderTransferFill,
        FolderTransferLine,
        FolderUnknowFill,
        FolderUnknowLine,
        FolderUploadFill,
        FolderUploadLine,
        FolderUserFill,
        FolderUserLine,
        FolderVideoFill,
        FolderVideoLine,
        FolderWarningFill,
        FolderWarningLine,
        FolderZipFill,
        FolderZipLine,
        FoldersFill,
        FoldersLine,
        KeynoteFill,
        KeynoteLine,
        MarkdownFill,
        MarkdownLine,
        NewspaperFill,
        NewspaperLine,
        NumbersFill,
        NumbersLine,
        PagesFill,
        PagesLine,
        StickyNote2Fill,
        StickyNote2Line,
        StickyNoteFill,
        StickyNoteLine,
        SurveyFill,
        SurveyLine,
        TaskFill,
        TaskLine,
        TodoFill,
        TodoLine,
        AB,
        AiGenerate,
        AlignBottom,
        AlignCenter,
        AlignJustify,
        AlignLeft,
        AlignRight,
        AlignTop,
        AlignVertically,
        Asterisk,
        Attachment2,
        Bold,
        BringForward,
        BringToFront,
        CodeView,
        DeleteColumn,
        DeleteRow,
        DoubleQuotesL,
        DoubleQuotesR,
        Draggable,
        DropdownList,
        EmphasisCn,
        Emphasis,
        EnglishInput,
        FlowChart,
        FontColor,
        FontFamily,
        FontMono,
        FontSansSerif,
        FontSans,
        FontSize2,
        FontSize,
        FormatClear,
        Functions,
        H1,
        H2,
        H3,
        H4,
        H5,
        H6,
        Hashtag,
        Heading,
        IndentDecrease,
        IndentIncrease,
        InputCursorMove,
        InsertColumnLeft,
        InsertColumnRight,
        InsertRowBottom,
        InsertRowTop,
        Italic,
        LineHeight,
        LinkM,
        LinkUnlinkM,
        LinkUnlink,
        Link,
        ListCheck2,
        ListCheck3,
        ListCheck,
        ListIndefinite,
        ListOrdered2,
        ListOrdered,
        ListRadio,
        ListUnordered,
        MergeCellsHorizontal,
        MergeCellsVertical,
        MindMap,
        NodeTree,
        Number0,
        Number1,
        Number2,
        Number3,
        Number4,
        Number5,
        Number6,
        Number7,
        Number8,
        Number9,
        Omega,
        OrganizationChart,
        Overline,
        PageSeparator,
        Paragraph,
        PinyinInput,
        QuestionMark,
        QuoteText,
        RoundedCorner,
        SendBackward,
        SendToBack,
        Separator,
        SingleQuotesL,
        SingleQuotesR,
        Sketching,
        SlashCommands2,
        SlashCommands,
        SortAsc,
        SortDesc,
        Space,
        SplitCellsHorizontal,
        SplitCellsVertical,
        Strikethrough2,
        Strikethrough,
        Subscript2,
        Subscript,
        Superscript2,
        Superscript,
        Table2,
        TextDirectionL,
        TextDirectionR,
        TextSpacing,
        TextWrap,
        Text,
        Translate2,
        Translate,
        Underline,
        WubiInput,
        _24HoursFill,
        _24HoursLine,
        AuctionFill,
        AuctionLine,
        BankCard2Fill,
        BankCard2Line,
        BankCardFill,
        BankCardLine,
        BitCoinFill,
        BitCoinLine,
        CashFill,
        CashLine,
        CoinFill,
        CoinLine,
        CoinsFill,
        CoinsLine,
        CopperCoinFill,
        CopperCoinLine,
        CopperDiamondFill,
        CopperDiamondLine,
        Coupon2Fill,
        Coupon2Line,
        Coupon3Fill,
        Coupon3Line,
        Coupon4Fill,
        Coupon4Line,
        Coupon5Fill,
        Coupon5Line,
        CouponFill,
        CouponLine,
        CurrencyFill,
        CurrencyLine,
        ExchangeBoxFill,
        ExchangeBoxLine,
        ExchangeCnyFill,
        ExchangeCnyLine,
        ExchangeDollarFill,
        ExchangeDollarLine,
        ExchangeFill,
        ExchangeFundsFill,
        ExchangeFundsLine,
        ExchangeLine,
        FundsBoxFill,
        FundsBoxLine,
        FundsFill,
        FundsLine,
        Gift2Fill,
        Gift2Line,
        GiftFill,
        GiftLine,
        HandCoinFill,
        HandCoinLine,
        HandHeartFill,
        HandHeartLine,
        IncreaseDecreaseFill,
        IncreaseDecreaseLine,
        MoneyCnyBoxFill,
        MoneyCnyBoxLine,
        MoneyCnyCircleFill,
        MoneyCnyCircleLine,
        MoneyDollarBoxFill,
        MoneyDollarBoxLine,
        MoneyDollarCircleFill,
        MoneyDollarCircleLine,
        MoneyEuroBoxFill,
        MoneyEuroBoxLine,
        MoneyEuroCircleFill,
        MoneyEuroCircleLine,
        MoneyPoundBoxFill,
        MoneyPoundBoxLine,
        MoneyPoundCircleFill,
        MoneyPoundCircleLine,
        NftFill,
        NftLine,
        P2pFill,
        P2pLine,
        PercentFill,
        PercentLine,
        PriceTag2Fill,
        PriceTag2Line,
        PriceTag3Fill,
        PriceTag3Line,
        PriceTagFill,
        PriceTagLine,
        RedPacketFill,
        RedPacketLine,
        Refund2Fill,
        Refund2Line,
        RefundFill,
        RefundLine,
        Safe2Fill,
        Safe2Line,
        SafeFill,
        SafeLine,
        SecurePaymentFill,
        SecurePaymentLine,
        ShoppingBag2Fill,
        ShoppingBag2Line,
        ShoppingBag3Fill,
        ShoppingBag3Line,
        ShoppingBagFill,
        ShoppingBagLine,
        ShoppingBasket2Fill,
        ShoppingBasket2Line,
        ShoppingBasketFill,
        ShoppingBasketLine,
        ShoppingCart2Fill,
        ShoppingCart2Line,
        ShoppingCartFill,
        ShoppingCartLine,
        StockFill,
        StockLine,
        SwapBoxFill,
        SwapBoxLine,
        SwapFill,
        SwapLine,
        Ticket2Fill,
        Ticket2Line,
        TicketFill,
        TicketLine,
        TokenSwapFill,
        TokenSwapLine,
        TrophyFill,
        TrophyLine,
        VipCrown2Fill,
        VipCrown2Line,
        VipCrownFill,
        VipCrownLine,
        VipDiamondFill,
        VipDiamondLine,
        VipFill,
        VipLine,
        Wallet2Fill,
        Wallet2Line,
        Wallet3Fill,
        Wallet3Line,
        WalletFill,
        WalletLine,
        WaterFlashFill,
        WaterFlashLine,
        BrainFill,
        BrainLine,
        CapsuleFill,
        CapsuleLine,
        DislikeFill,
        DislikeLine,
        DossierFill,
        DossierLine,
        EmpathizeFill,
        EmpathizeLine,
        FirstAidKitFill,
        FirstAidKitLine,
        FlaskFill,
        FlaskLine,
        HandSanitizerFill,
        HandSanitizerLine,
        HealthBookFill,
        HealthBookLine,
        Heart2Fill,
        Heart2Line,
        Heart3Fill,
        Heart3Line,
        HeartAddFill,
        HeartAddLine,
        HeartFill,
        HeartLine,
        HeartPulseFill,
        HeartPulseLine,
        HeartsFill,
        HeartsLine,
        InfraredThermometerFill,
        InfraredThermometerLine,
        LungsFill,
        LungsLine,
        MedicineBottleFill,
        MedicineBottleLine,
        MentalHealthFill,
        MentalHealthLine,
        MicroscopeFill,
        MicroscopeLine,
        NurseFill,
        NurseLine,
        PsychotherapyFill,
        PsychotherapyLine,
        PulseFill,
        PulseLine,
        RestTimeFill,
        RestTimeLine,
        StethoscopeFill,
        StethoscopeLine,
        SurgicalMaskFill,
        SurgicalMaskLine,
        SyringeFill,
        SyringeLine,
        TestTubeFill,
        TestTubeLine,
        ThermometerFill,
        ThermometerLine,
        VirusFill,
        VirusLine,
        ZzzFill,
        ZzzLine,
        AlipayFill,
        AlipayLine,
        AmazonFill,
        AmazonLine,
        AndroidFill,
        AndroidLine,
        AngularjsFill,
        AngularjsLine,
        AppStoreFill,
        AppStoreLine,
        AppleFill,
        AppleLine,
        BaiduFill,
        BaiduLine,
        BardFill,
        BardLine,
        BehanceFill,
        BehanceLine,
        BilibiliFill,
        BilibiliLine,
        BlenderFill,
        BlenderLine,
        BootstrapFill,
        BootstrapLine,
        CentosFill,
        CentosLine,
        ChromeFill,
        ChromeLine,
        CodepenFill,
        CodepenLine,
        CopilotFill,
        CopilotLine,
        CoreosFill,
        CoreosLine,
        DingdingFill,
        DingdingLine,
        DiscordFill,
        DiscordLine,
        DisqusFill,
        DisqusLine,
        DoubanFill,
        DoubanLine,
        DribbbleFill,
        DribbbleLine,
        DriveFill,
        DriveLine,
        DropboxFill,
        DropboxLine,
        EdgeFill,
        EdgeLine,
        EdgeNewFill,
        EdgeNewLine,
        EvernoteFill,
        EvernoteLine,
        FacebookBoxFill,
        FacebookBoxLine,
        FacebookCircleFill,
        FacebookCircleLine,
        FacebookFill,
        FacebookLine,
        FinderFill,
        FinderLine,
        FirefoxFill,
        FirefoxLine,
        FlickrFill,
        FlickrLine,
        FlutterFill,
        FlutterLine,
        GatsbyFill,
        GatsbyLine,
        GithubFill,
        GithubLine,
        GitlabFill,
        GitlabLine,
        GoogleFill,
        GoogleLine,
        GooglePlayFill,
        GooglePlayLine,
        HonorOfKingsFill,
        HonorOfKingsLine,
        IeFill,
        IeLine,
        InstagramFill,
        InstagramLine,
        InvisionFill,
        InvisionLine,
        KakaoTalkFill,
        KakaoTalkLine,
        KickFill,
        KickLine,
        LineFill,
        LineLine,
        LinkedinBoxFill,
        LinkedinBoxLine,
        LinkedinFill,
        LinkedinLine,
        MastercardFill,
        MastercardLine,
        MastodonFill,
        MastodonLine,
        MediumFill,
        MediumLine,
        MessengerFill,
        MessengerLine,
        MetaFill,
        MetaLine,
        MicrosoftFill,
        MicrosoftLine,
        MicrosoftLoopFill,
        MicrosoftLoopLine,
        MiniProgramFill,
        MiniProgramLine,
        NeteaseCloudMusicFill,
        NeteaseCloudMusicLine,
        NetflixFill,
        NetflixLine,
        NotionFill,
        NotionLine,
        NpmjsFill,
        NpmjsLine,
        OpenSourceFill,
        OpenSourceLine,
        OpenaiFill,
        OpenaiLine,
        OpenbaseFill,
        OpenbaseLine,
        OperaFill,
        OperaLine,
        PatreonFill,
        PatreonLine,
        PaypalFill,
        PaypalLine,
        PinterestFill,
        PinterestLine,
        PixelfedFill,
        PixelfedLine,
        PlaystationFill,
        PlaystationLine,
        ProductHuntFill,
        ProductHuntLine,
        QqFill,
        QqLine,
        ReactjsFill,
        ReactjsLine,
        RedditFill,
        RedditLine,
        RemixiconFill,
        RemixiconLine,
        SafariFill,
        SafariLine,
        SkypeFill,
        SkypeLine,
        SlackFill,
        SlackLine,
        SnapchatFill,
        SnapchatLine,
        SoundcloudFill,
        SoundcloudLine,
        SpectrumFill,
        SpectrumLine,
        SpotifyFill,
        SpotifyLine,
        StackOverflowFill,
        StackOverflowLine,
        StackshareFill,
        StackshareLine,
        SteamFill,
        SteamLine,
        SupabaseFill,
        SupabaseLine,
        SwitchFill,
        SwitchLine,
        TaobaoFill,
        TaobaoLine,
        TelegramFill,
        TelegramLine,
        ThreadsFill,
        ThreadsLine,
        TiktokFill,
        TiktokLine,
        TrelloFill,
        TrelloLine,
        TumblrFill,
        TumblrLine,
        TwitchFill,
        TwitchLine,
        TwitterFill,
        TwitterLine,
        TwitterXFill,
        TwitterXLine,
        UbuntuFill,
        UbuntuLine,
        UnsplashFill,
        UnsplashLine,
        VimeoFill,
        VimeoLine,
        VisaFill,
        VisaLine,
        VuejsFill,
        VuejsLine,
        Wechat2Fill,
        Wechat2Line,
        WechatChannelsFill,
        WechatChannelsLine,
        WechatFill,
        WechatLine,
        WechatPayFill,
        WechatPayLine,
        WeiboFill,
        WeiboLine,
        WhatsappFill,
        WhatsappLine,
        WindowsFill,
        WindowsLine,
        WordpressFill,
        WordpressLine,
        XboxFill,
        XboxLine,
        XingFill,
        XingLine,
        YoutubeFill,
        YoutubeLine,
        YuqueFill,
        YuqueLine,
        ZcoolFill,
        ZcoolLine,
        ZhihuFill,
        ZhihuLine,
        AnchorFill,
        AnchorLine,
        BarricadeFill,
        BarricadeLine,
        BeerFill,
        BeerLine,
        BikeFill,
        BikeLine,
        Bus2Fill,
        Bus2Line,
        BusFill,
        BusLine,
        BusWifiFill,
        BusWifiLine,
        CarFill,
        CarLine,
        CarWashingFill,
        CarWashingLine,
        CaravanFill,
        CaravanLine,
        ChargingPile2Fill,
        ChargingPile2Line,
        ChargingPileFill,
        ChargingPileLine,
        ChinaRailwayFill,
        ChinaRailwayLine,
        Compass2Fill,
        Compass2Line,
        Compass3Fill,
        Compass3Line,
        Compass4Fill,
        Compass4Line,
        CompassDiscoverFill,
        CompassDiscoverLine,
        CompassFill,
        CompassLine,
        CupFill,
        CupLine,
        DirectionFill,
        DirectionLine,
        EBike2Fill,
        EBike2Line,
        EBikeFill,
        EBikeLine,
        EarthFill,
        EarthLine,
        FlightLandFill,
        FlightLandLine,
        FlightTakeoffFill,
        FlightTakeoffLine,
        FootprintFill,
        FootprintLine,
        GasStationFill,
        GasStationLine,
        GlobeFill,
        GlobeLine,
        GobletFill,
        GobletLine,
        GuideFill,
        GuideLine,
        HotelBedFill,
        HotelBedLine,
        LifebuoyFill,
        LifebuoyLine,
        LuggageCartFill,
        LuggageCartLine,
        LuggageDepositFill,
        LuggageDepositLine,
        Map2Fill,
        Map2Line,
        MapFill,
        MapLine,
        MapPin2Fill,
        MapPin2Line,
        MapPin3Fill,
        MapPin3Line,
        MapPin4Fill,
        MapPin4Line,
        MapPin5Fill,
        MapPin5Line,
        MapPinAddFill,
        MapPinAddLine,
        MapPinFill,
        MapPinLine,
        MapPinRangeFill,
        MapPinRangeLine,
        MapPinTimeFill,
        MapPinTimeLine,
        MapPinUserFill,
        MapPinUserLine,
        MotorbikeFill,
        MotorbikeLine,
        NavigationFill,
        NavigationLine,
        OilFill,
        OilLine,
        ParkingBoxFill,
        ParkingBoxLine,
        ParkingFill,
        ParkingLine,
        PassportFill,
        PassportLine,
        PinDistanceFill,
        PinDistanceLine,
        PlaneFill,
        PlaneLine,
        PlanetFill,
        PlanetLine,
        PoliceCarFill,
        PoliceCarLine,
        Pushpin2Fill,
        Pushpin2Line,
        PushpinFill,
        PushpinLine,
        Restaurant2Fill,
        Restaurant2Line,
        RestaurantFill,
        RestaurantLine,
        RidingFill,
        RidingLine,
        RoadMapFill,
        RoadMapLine,
        RoadsterFill,
        RoadsterLine,
        Rocket2Fill,
        Rocket2Line,
        RocketFill,
        RocketLine,
        RouteFill,
        RouteLine,
        RunFill,
        RunLine,
        SailboatFill,
        SailboatLine,
        Ship2Fill,
        Ship2Line,
        ShipFill,
        ShipLine,
        SignalTowerFill,
        SignalTowerLine,
        SpaceShipFill,
        SpaceShipLine,
        Steering2Fill,
        Steering2Line,
        SteeringFill,
        SteeringLine,
        SubwayFill,
        SubwayLine,
        SubwayWifiFill,
        SubwayWifiLine,
        Suitcase2Fill,
        Suitcase2Line,
        Suitcase3Fill,
        Suitcase3Line,
        SuitcaseFill,
        SuitcaseLine,
        TakeawayFill,
        TakeawayLine,
        TaxiFill,
        TaxiLine,
        TaxiWifiFill,
        TaxiWifiLine,
        TrafficLightFill,
        TrafficLightLine,
        TrainFill,
        TrainLine,
        TrainWifiFill,
        TrainWifiLine,
        TreasureMapFill,
        TreasureMapLine,
        TruckFill,
        TruckLine,
        UnpinFill,
        UnpinLine,
        WalkFill,
        WalkLine,
        _4kFill,
        _4kLine,
        AlbumFill,
        AlbumLine,
        AspectRatioFill,
        AspectRatioLine,
        BroadcastFill,
        BroadcastLine,
        Camera2Fill,
        Camera2Line,
        Camera3Fill,
        Camera3Line,
        CameraFill,
        CameraLensFill,
        CameraLensLine,
        CameraLine,
        CameraOffFill,
        CameraOffLine,
        CameraSwitchFill,
        CameraSwitchLine,
        ClapperboardFill,
        ClapperboardLine,
        ClosedCaptioningFill,
        ClosedCaptioningLine,
        DiscFill,
        DiscLine,
        DvFill,
        DvLine,
        DvdFill,
        DvdLine,
        EjectFill,
        EjectLine,
        EqualizerFill,
        EqualizerLine,
        FilmFill,
        FilmLine,
        Forward10Fill,
        Forward10Line,
        Forward15Fill,
        Forward15Line,
        Forward30Fill,
        Forward30Line,
        Forward5Fill,
        Forward5Line,
        FullscreenExitFill,
        FullscreenExitLine,
        FullscreenFill,
        FullscreenLine,
        GalleryFill,
        GalleryLine,
        GalleryUploadFill,
        GalleryUploadLine,
        HdFill,
        HdLine,
        HeadphoneFill,
        HeadphoneLine,
        HqFill,
        HqLine,
        Image2Fill,
        Image2Line,
        ImageAddFill,
        ImageAddLine,
        ImageEditFill,
        ImageEditLine,
        ImageFill,
        ImageLine,
        LandscapeFill,
        LandscapeLine,
        LiveFill,
        LiveLine,
        MemoriesFill,
        MemoriesLine,
        Mic2Fill,
        Mic2Line,
        MicFill,
        MicLine,
        MicOffFill,
        MicOffLine,
        Movie2Fill,
        Movie2Line,
        MovieFill,
        MovieLine,
        Music2Fill,
        Music2Line,
        MusicFill,
        MusicLine,
        MvFill,
        MvLine,
        Notification2Fill,
        Notification2Line,
        Notification3Fill,
        Notification3Line,
        Notification4Fill,
        Notification4Line,
        NotificationFill,
        NotificationLine,
        NotificationOffFill,
        NotificationOffLine,
        OrderPlayFill,
        OrderPlayLine,
        PauseCircleFill,
        PauseCircleLine,
        PauseFill,
        PauseLine,
        PauseMiniFill,
        PauseMiniLine,
        PhoneCameraFill,
        PhoneCameraLine,
        PictureInPicture2Fill,
        PictureInPicture2Line,
        PictureInPictureExitFill,
        PictureInPictureExitLine,
        PictureInPictureFill,
        PictureInPictureLine,
        PlayCircleFill,
        PlayCircleLine,
        PlayFill,
        PlayLine,
        PlayList2Fill,
        PlayList2Line,
        PlayListAddFill,
        PlayListAddLine,
        PlayListFill,
        PlayListLine,
        PlayMiniFill,
        PlayMiniLine,
        Polaroid2Fill,
        Polaroid2Line,
        PolaroidFill,
        PolaroidLine,
        Radio2Fill,
        Radio2Line,
        RadioFill,
        RadioLine,
        RecordCircleFill,
        RecordCircleLine,
        Repeat2Fill,
        Repeat2Line,
        RepeatFill,
        RepeatLine,
        RepeatOneFill,
        RepeatOneLine,
        Replay10Fill,
        Replay10Line,
        Replay15Fill,
        Replay15Line,
        Replay30Fill,
        Replay30Line,
        Replay5Fill,
        Replay5Line,
        RewindFill,
        RewindLine,
        RewindMiniFill,
        RewindMiniLine,
        RhythmFill,
        RhythmLine,
        ShuffleFill,
        ShuffleLine,
        SkipBackFill,
        SkipBackLine,
        SkipBackMiniFill,
        SkipBackMiniLine,
        SkipForwardFill,
        SkipForwardLine,
        SkipForwardMiniFill,
        SkipForwardMiniLine,
        SlowDownFill,
        SlowDownLine,
        SoundModuleFill,
        SoundModuleLine,
        Speaker2Fill,
        Speaker2Line,
        Speaker3Fill,
        Speaker3Line,
        SpeakerFill,
        SpeakerLine,
        SpeedFill,
        SpeedLine,
        SpeedMiniFill,
        SpeedMiniLine,
        SpeedUpFill,
        SpeedUpLine,
        StopCircleFill,
        StopCircleLine,
        StopFill,
        StopLine,
        StopMiniFill,
        StopMiniLine,
        SurroundSoundFill,
        SurroundSoundLine,
        TapeFill,
        TapeLine,
        VideoAddFill,
        VideoAddLine,
        VideoDownloadFill,
        VideoDownloadLine,
        VideoFill,
        VideoLine,
        VideoUploadFill,
        VideoUploadLine,
        Vidicon2Fill,
        Vidicon2Line,
        VidiconFill,
        VidiconLine,
        VoiceprintFill,
        VoiceprintLine,
        VolumeDownFill,
        VolumeDownLine,
        VolumeMuteFill,
        VolumeMuteLine,
        VolumeOffVibrateFill,
        VolumeOffVibrateLine,
        VolumeUpFill,
        VolumeUpLine,
        VolumeVibrateFill,
        VolumeVibrateLine,
        WebcamFill,
        WebcamLine,
        BasketballFill,
        BasketballLine,
        BellFill,
        BellLine,
        BilliardsFill,
        BilliardsLine,
        Box1Fill,
        Box1Line,
        Box2Fill,
        Box2Line,
        Box3Fill,
        Box3Line,
        BoxingFill,
        BoxingLine,
        CactusFill,
        CactusLine,
        Cake2Fill,
        Cake2Line,
        Cake3Fill,
        Cake3Line,
        CakeFill,
        CakeLine,
        CandleFill,
        CandleLine,
        CharacterRecognitionFill,
        CharacterRecognitionLine,
        CrossFill,
        CrossLine,
        DoorClosedFill,
        DoorClosedLine,
        DoorFill,
        DoorLine,
        DoorLockBoxFill,
        DoorLockBoxLine,
        DoorLockFill,
        DoorLockLine,
        DoorOpenFill,
        DoorOpenLine,
        FootballFill,
        FootballLine,
        FridgeFill,
        FridgeLine,
        GameFill,
        GameLine,
        GraduationCapFill,
        GraduationCapLine,
        HandbagFill,
        HandbagLine,
        InfinityFill,
        InfinityLine,
        Key2Fill,
        Key2Line,
        KeyFill,
        KeyLine,
        KnifeBloodFill,
        KnifeBloodLine,
        KnifeFill,
        KnifeLine,
        LeafFill,
        LeafLine,
        LightbulbFill,
        LightbulbFlashFill,
        LightbulbFlashLine,
        LightbulbLine,
        Outlet2Fill,
        Outlet2Line,
        OutletFill,
        OutletLine,
        PingPongFill,
        PingPongLine,
        PlantFill,
        PlantLine,
        Plug2Fill,
        Plug2Line,
        PlugFill,
        PlugLine,
        RecycleFill,
        RecycleLine,
        ReservedFill,
        ReservedLine,
        Scales2Fill,
        Scales2Line,
        Scales3Fill,
        Scales3Line,
        ScalesFill,
        ScalesLine,
        SeedlingFill,
        SeedlingLine,
        ShirtFill,
        ShirtLine,
        SwordFill,
        SwordLine,
        TShirt2Fill,
        TShirt2Line,
        TShirtAirFill,
        TShirtAirLine,
        TShirtFill,
        TShirtLine,
        TreeFill,
        TreeLine,
        UmbrellaFill,
        UmbrellaLine,
        VoiceRecognitionFill,
        VoiceRecognitionLine,
        WheelchairFill,
        WheelchairLine,
        AddBoxFill,
        AddBoxLine,
        AddCircleFill,
        AddCircleLine,
        AddFill,
        AddLine,
        AlarmFill,
        AlarmLine,
        AlarmWarningFill,
        AlarmWarningLine,
        AlertFill,
        AlertLine,
        Apps2Fill,
        Apps2Line,
        AppsFill,
        AppsLine,
        CheckDoubleFill,
        CheckDoubleLine,
        CheckFill,
        CheckLine,
        CheckboxBlankCircleFill,
        CheckboxBlankCircleLine,
        CheckboxBlankFill,
        CheckboxBlankLine,
        CheckboxCircleFill,
        CheckboxCircleLine,
        CheckboxFill,
        CheckboxIndeterminateFill,
        CheckboxIndeterminateLine,
        CheckboxLine,
        CheckboxMultipleBlankFill,
        CheckboxMultipleBlankLine,
        CheckboxMultipleFill,
        CheckboxMultipleLine,
        CloseCircleFill,
        CloseCircleLine,
        CloseFill,
        CloseLine,
        DashboardFill,
        DashboardLine,
        DeleteBack2Fill,
        DeleteBack2Line,
        DeleteBackFill,
        DeleteBackLine,
        DeleteBin2Fill,
        DeleteBin2Line,
        DeleteBin3Fill,
        DeleteBin3Line,
        DeleteBin4Fill,
        DeleteBin4Line,
        DeleteBin5Fill,
        DeleteBin5Line,
        DeleteBin6Fill,
        DeleteBin6Line,
        DeleteBin7Fill,
        DeleteBin7Line,
        DeleteBinFill,
        DeleteBinLine,
        DivideFill,
        DivideLine,
        Download2Fill,
        Download2Line,
        DownloadCloud2Fill,
        DownloadCloud2Line,
        DownloadCloudFill,
        DownloadCloudLine,
        DownloadFill,
        DownloadLine,
        EqualFill,
        EqualLine,
        ErrorWarningFill,
        ErrorWarningLine,
        ExternalLinkFill,
        ExternalLinkLine,
        Eye2Fill,
        Eye2Line,
        EyeCloseFill,
        EyeCloseLine,
        EyeFill,
        EyeLine,
        EyeOffFill,
        EyeOffLine,
        Filter2Fill,
        Filter2Line,
        Filter3Fill,
        Filter3Line,
        FilterFill,
        FilterLine,
        FilterOffFill,
        FilterOffLine,
        FindReplaceFill,
        FindReplaceLine,
        Forbid2Fill,
        Forbid2Line,
        ForbidFill,
        ForbidLine,
        FunctionFill,
        FunctionLine,
        HistoryFill,
        HistoryLine,
        Hourglass2Fill,
        Hourglass2Line,
        HourglassFill,
        HourglassLine,
        IndeterminateCircleFill,
        IndeterminateCircleLine,
        InformationFill,
        InformationLine,
        ListSettingsFill,
        ListSettingsLine,
        Loader2Fill,
        Loader2Line,
        Loader3Fill,
        Loader3Line,
        Loader4Fill,
        Loader4Line,
        Loader5Fill,
        Loader5Line,
        LoaderFill,
        LoaderLine,
        Lock2Fill,
        Lock2Line,
        LockFill,
        LockLine,
        LockPasswordFill,
        LockPasswordLine,
        LockUnlockFill,
        LockUnlockLine,
        LoginBoxFill,
        LoginBoxLine,
        LoginCircleFill,
        LoginCircleLine,
        LogoutBoxFill,
        LogoutBoxLine,
        LogoutBoxRFill,
        LogoutBoxRLine,
        LogoutCircleFill,
        LogoutCircleLine,
        LogoutCircleRFill,
        LogoutCircleRLine,
        LoopLeftFill,
        LoopLeftLine,
        LoopRightFill,
        LoopRightLine,
        Menu2Fill,
        Menu2Line,
        Menu3Fill,
        Menu3Line,
        Menu4Fill,
        Menu4Line,
        Menu5Fill,
        Menu5Line,
        MenuAddFill,
        MenuAddLine,
        MenuFill,
        MenuFoldFill,
        MenuFoldLine,
        MenuLine,
        MenuSearchFill,
        MenuSearchLine,
        MenuUnfoldFill,
        MenuUnfoldLine,
        More2Fill,
        More2Line,
        MoreFill,
        MoreLine,
        NotificationBadgeFill,
        NotificationBadgeLine,
        ProhibitedFill,
        ProhibitedLine,
        QuestionFill,
        QuestionLine,
        RadioButtonFill,
        RadioButtonLine,
        RefreshFill,
        RefreshLine,
        Search2Fill,
        Search2Line,
        SearchEyeFill,
        SearchEyeLine,
        SearchFill,
        SearchLine,
        Settings2Fill,
        Settings2Line,
        Settings3Fill,
        Settings3Line,
        Settings4Fill,
        Settings4Line,
        Settings5Fill,
        Settings5Line,
        Settings6Fill,
        Settings6Line,
        SettingsFill,
        SettingsLine,
        ShareBoxFill,
        ShareBoxLine,
        ShareCircleFill,
        ShareCircleLine,
        ShareFill,
        ShareForward2Fill,
        ShareForward2Line,
        ShareForwardBoxFill,
        ShareForwardBoxLine,
        ShareForwardFill,
        ShareForwardLine,
        ShareLine,
        ShieldCheckFill,
        ShieldCheckLine,
        ShieldCrossFill,
        ShieldCrossLine,
        ShieldFill,
        ShieldFlashFill,
        ShieldFlashLine,
        ShieldKeyholeFill,
        ShieldKeyholeLine,
        ShieldLine,
        ShieldStarFill,
        ShieldStarLine,
        ShieldUserFill,
        ShieldUserLine,
        SideBarFill,
        SideBarLine,
        Spam2Fill,
        Spam2Line,
        Spam3Fill,
        Spam3Line,
        SpamFill,
        SpamLine,
        StarFill,
        StarHalfFill,
        StarHalfLine,
        StarHalfSFill,
        StarHalfSLine,
        StarLine,
        StarSFill,
        StarSLine,
        SubtractFill,
        SubtractLine,
        ThumbDownFill,
        ThumbDownLine,
        ThumbUpFill,
        ThumbUpLine,
        TimeFill,
        TimeLine,
        Timer2Fill,
        Timer2Line,
        TimerFill,
        TimerFlashFill,
        TimerFlashLine,
        TimerLine,
        ToggleFill,
        ToggleLine,
        Upload2Fill,
        Upload2Line,
        UploadCloud2Fill,
        UploadCloud2Line,
        UploadCloudFill,
        UploadCloudLine,
        UploadFill,
        UploadLine,
        ZoomInFill,
        ZoomInLine,
        ZoomOutFill,
        ZoomOutLine,
        AccountBoxFill,
        AccountBoxLine,
        AccountCircleFill,
        AccountCircleLine,
        AccountPinBoxFill,
        AccountPinBoxLine,
        AccountPinCircleFill,
        AccountPinCircleLine,
        AdminFill,
        AdminLine,
        AliensFill,
        AliensLine,
        BearSmileFill,
        BearSmileLine,
        BodyScanFill,
        BodyScanLine,
        ContactsFill,
        ContactsLine,
        CriminalFill,
        CriminalLine,
        Emotion2Fill,
        Emotion2Line,
        EmotionFill,
        EmotionHappyFill,
        EmotionHappyLine,
        EmotionLaughFill,
        EmotionLaughLine,
        EmotionLine,
        EmotionNormalFill,
        EmotionNormalLine,
        EmotionSadFill,
        EmotionSadLine,
        EmotionUnhappyFill,
        EmotionUnhappyLine,
        GenderlessFill,
        GenderlessLine,
        Ghost2Fill,
        Ghost2Line,
        GhostFill,
        GhostLine,
        GhostSmileFill,
        GhostSmileLine,
        Group2Fill,
        Group2Line,
        GroupFill,
        GroupLine,
        MenFill,
        MenLine,
        MickeyFill,
        MickeyLine,
        OpenArmFill,
        OpenArmLine,
        ParentFill,
        ParentLine,
        Robot2Fill,
        Robot2Line,
        RobotFill,
        RobotLine,
        Skull2Fill,
        Skull2Line,
        SkullFill,
        SkullLine,
        SpyFill,
        SpyLine,
        StarSmileFill,
        StarSmileLine,
        TeamFill,
        TeamLine,
        TravestiFill,
        TravestiLine,
        User2Fill,
        User2Line,
        User3Fill,
        User3Line,
        User4Fill,
        User4Line,
        User5Fill,
        User5Line,
        User6Fill,
        User6Line,
        UserAddFill,
        UserAddLine,
        UserFill,
        UserFollowFill,
        UserFollowLine,
        UserForbidFill,
        UserForbidLine,
        UserHeartFill,
        UserHeartLine,
        UserLine,
        UserLocationFill,
        UserLocationLine,
        UserReceived2Fill,
        UserReceived2Line,
        UserReceivedFill,
        UserReceivedLine,
        UserSearchFill,
        UserSearchLine,
        UserSettingsFill,
        UserSettingsLine,
        UserShared2Fill,
        UserShared2Line,
        UserSharedFill,
        UserSharedLine,
        UserSmileFill,
        UserSmileLine,
        UserStarFill,
        UserStarLine,
        UserUnfollowFill,
        UserUnfollowLine,
        UserVoiceFill,
        UserVoiceLine,
        WomenFill,
        WomenLine,
        BlazeFill,
        BlazeLine,
        CelsiusFill,
        CelsiusLine,
        CloudWindyFill,
        CloudWindyLine,
        Cloudy2Fill,
        Cloudy2Line,
        CloudyFill,
        CloudyLine,
        DrizzleFill,
        DrizzleLine,
        EarthquakeFill,
        EarthquakeLine,
        FahrenheitFill,
        FahrenheitLine,
        FireFill,
        FireLine,
        FlashlightFill,
        FlashlightLine,
        FloodFill,
        FloodLine,
        FoggyFill,
        FoggyLine,
        HailFill,
        HailLine,
        Haze2Fill,
        Haze2Line,
        HazeFill,
        HazeLine,
        HeavyShowersFill,
        HeavyShowersLine,
        MeteorFill,
        MeteorLine,
        MistFill,
        MistLine,
        MoonClearFill,
        MoonClearLine,
        MoonCloudyFill,
        MoonCloudyLine,
        MoonFill,
        MoonFoggyFill,
        MoonFoggyLine,
        MoonLine,
        RainbowFill,
        RainbowLine,
        RainyFill,
        RainyLine,
        Shining2Fill,
        Shining2Line,
        ShiningFill,
        ShiningLine,
        ShowersFill,
        ShowersLine,
        SnowyFill,
        SnowyLine,
        Sparkling2Fill,
        Sparkling2Line,
        SparklingFill,
        SparklingLine,
        SunCloudyFill,
        SunCloudyLine,
        SunFill,
        SunFoggyFill,
        SunFoggyLine,
        SunLine,
        TempColdFill,
        TempColdLine,
        TempHotFill,
        TempHotLine,
        ThunderstormsFill,
        ThunderstormsLine,
        TornadoFill,
        TornadoLine,
        TyphoonFill,
        TyphoonLine,
        WaterPercentFill,
        WaterPercentLine,
        WindyFill,
        WindyLine,

        MinimizeLine,
        MaximizeLine,
        RestoreLine,
#pragma warning restore CS1591 // 缺少对公共可见类型或成员的 XML 注释
    }
}